ASP.NET连接Oracle问题 System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本。

转载 2013年12月02日 10:01:00
ASP.NET连接Oracle问题1:System.Exception: System.Data.OracleClient requires Oracle client software version 8.1.7 or greater

  原因:NTFS权限问题,在ORACLE9I时总是遇到

  解决方法:

  1、以管理员的用户登录;

  2、找到ORACLE_HOME文件夹(我的是C:\oracle\ora92),点右键,选属性--安全,在组或用户栏中选“Authenticated Users”,在下面权限列表中把“读取和运行”的权限去掉,再按应用;重新选上“读取和运行”权限,点击应用;选权限框下面的“高级”按钮,确认“Authenticated Users”后面的应用于是“该文件夹、子文件夹及文件”,按确定把权限的更改应用于该文件夹;

  3、重新启动计算机,让权限设置生效(请注意,这一步很重要);

  4、登录后运行asp.net应用,正常取得Oracle数据库的数据。

System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本

同学的电脑连接实验室的服务器时出现“System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本”,而我自己的电脑可以轻松连接服务器的数据库...
  • chengonghao
  • chengonghao
  • 2015年03月31日 16:14
  • 9347

Windows Server 2008 +IIS6.0 +oracle 11g,提示“System.Data.OracleClient需要Oracle客户端软件8.1.7或更高版本”

在 64 位 的 Windows Server 2008 R2 + IIS6.0
  • shuaishifu
  • shuaishifu
  • 2014年07月18日 10:59
  • 2229

解决“System.Data.OracleClient需要Oracle客户端软件8.1.7或更高版本”

问题描述:服务器端装的是Windows XP 和Oracle 10g。在服务器端能够正常的访问Oracle数据库,但远程访问该数据库(使用VS 2005,客户端同样是Oracle10g)提示“Sy...
  • u010476739
  • u010476739
  • 2017年04月07日 13:53
  • 1828

System.Data.OracleClient 需要 Oracle 客户端软件 8.1.7 或更高版本的解决方法

今天安装了Oracle客户端ora10client.exe,而后运行PLSQL Developer连接Oracle数据库,正常。然而在程序执行时出现如题异常。经高手指点解决了,导致该问题是的原因是Or...
  • lrh_079
  • lrh_079
  • 2010年05月05日 15:52
  • 5815

解决 c#连接Oracle 提示system.data.oracleclient 需要 oracle 客户端软件 8.1.7 或更高版本

最近在做winform,需要远程连接Oracle,本来测试的都顺利。但是到客户那里了 抛出了 system.data.oracleclient 需要 oracle 客户端软件 8.1.7 或更高版本...
  • dandandeshangni
  • dandandeshangni
  • 2015年05月20日 15:26
  • 3483

解决“System.Data.OracleClient需要Oracle客户端软件8.1.7或更高版本”

问题描述:服务器端装的是Windows XP 和Oracle 10g。在服务器端能够正常的访问Oracle数据库,但远程访问该数据库(使用VS 2005,客户端同样是Oracle10g)提示“Syst...
  • yucaoye
  • yucaoye
  • 2015年11月04日 09:20
  • 8373

C#远程连接Oracle数据库(通过System.Data.OracleClient)

转自:https://my.oschina.net/Tsybius2014/blog/299125 在.NET中使用System.Data.OracleClient库连接Oracle数据库的步骤...
  • shellching
  • shellching
  • 2016年11月11日 14:28
  • 2960

解决System.Data.OracleClient 需要 Oracle 客户端软件 8.1.7 或更高版本

  • 2012年09月24日 16:19
  • 19.88MB
  • 下载

System.Data.OracleClient需要Oracle客户端软件8.1.7或更高版本 的解决办法 vs2010 链接oracle数据库

解决办法:64位win7,安装vs2010+sp1后连接远程数据库(oracle 10g 64位),提示错误如下:         解决办法:在官网下载oracle相应版本的32位的的instantc...
  • lhshu2008
  • lhshu2008
  • 2013年11月28日 11:42
  • 4226

System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本

“/”应用程序中的服务器错误。 System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本。 说明: 执行当前 Web 请求期间,出现...
  • jing_xin
  • jing_xin
  • 2017年03月03日 11:21
  • 1136
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:ASP.NET连接Oracle问题 System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本。
举报原因:
原因补充:

(最多只允许输入30个字)